ci: drop dead code

reviewable/pr12034/r1
Benoit Pierre 2 weeks ago committed by Frans de Jonge
parent b7fffc9fee
commit 0eb4c2b077

@ -7,8 +7,6 @@ ANSI_RED="\033[31;1m"
# shellcheck disable=SC2034
ANSI_GREEN="\033[32;1m"
ANSI_RESET="\033[0m"
# shellcheck disable=SC2034
ANSI_CLEAR="\033[0K"
travis_retry() {
local result=0
@ -33,30 +31,3 @@ travis_retry() {
set -e
return ${result}
}
retry_cmd() {
local result=0
local count=1
set +e
retry_cnt=$1
shift 1
while [ ${count} -le "${retry_cnt}" ]; do
[ ${result} -ne 0 ] && {
echo -e "\n${ANSI_RED}The command \"$*\" failed. Retrying, ${count} of ${retry_cnt}${ANSI_RESET}\n" >&2
}
"$@"
result=$?
[ ${result} -eq 0 ] && break
count=$((count + 1))
sleep 1
done
[ ${count} -gt "${retry_cnt}" ] && {
echo -e "\n${ANSI_RED}The command \"$*\" failed ${retry_cnt} times.${ANSI_RESET}\n" >&2
}
set -e
return ${result}
}

@ -1,17 +0,0 @@
#!/usr/bin/env bash
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# shellcheck source=/dev/null
source "${CI_DIR}/common.sh"
echo -e "\\n${ANSI_GREEN}make fetchthirdparty"
bash "${CI_DIR}/fetch.sh"
echo -e "\\n${ANSI_GREEN}static checks"
bash "${CI_DIR}/check.sh"
echo -e "\\n${ANSI_GREEN}make all"
bash "${CI_DIR}/build.sh"
echo -e "\\n${ANSI_GREEN}make testfront"
bash "${CI_DIR}/test.sh"
Loading…
Cancel
Save